# Uses of Class
org.eclipse.birt.chart.script.AbstractScriptHandler

Packages that use AbstractScriptHandler
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.script

## Uses of AbstractScriptHandler in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return AbstractScriptHandler
Modifier and Type
Method
Description
`AbstractScriptHandler`
RunTimeContext.`getScriptHandler()`
Returns an instance of a transient script handler associated with the chart being generated.
Methods in org.eclipse.birt.chart.factory with parameters of type AbstractScriptHandler
Modifier and Type
Method
Description
`void`
RunTimeContext.`setScriptHandler(AbstractScriptHandler sh)`
Sets an instance of a transient script handler associated with the chart being generated.

## Uses of AbstractScriptHandler in org.eclipse.birt.chart.script

Subclasses of AbstractScriptHandler in org.eclipse.birt.chart.script
Modifier and Type
Class
Description
`final class`
`ScriptHandler`
This class forms the basis of script handling in the charting library.
Methods in org.eclipse.birt.chart.script with parameters of type AbstractScriptHandler
Modifier and Type
Method
Description
`static final Object`
AbstractScriptHandler.`callFunction(AbstractScriptHandler<?> sh, String sFunction, Object oArg1)`
Call JavaScript functions with one argument.
`static final Object`
AbstractScriptHandler.`callFunction(AbstractScriptHandler<?> sh, String sFunction, Object oArg1, Object oArg2)`
Call JavaScript functions with two arguments.
`static final Object`
AbstractScriptHandler.`callFunction(AbstractScriptHandler<?> sh, String sFunction, Object oArg1, Object oArg2, Object oArg3)`
Call JavaScript functions with three arguments.